@charset "utf-8";

.p-header {
  width: 100%;
  height: 98px;
  position: fixed;
  top: 0;
  z-index: 10;

  @media (width < 768px) {
    height: 60px;
  }

  .l-inner {
    max-width: none;
    width: 100%;
    height: 100%;
    padding: 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
  }
}

.p-header__logo {
  width: 150px;
  margin-left: 5px;
  aspect-ratio: 3/1;
  flex-shrink: 0;

  @media (width < 768px) {
    margin-left: 0;
  }

  img {
    object-fit: contain;
  }
}

.p-header__nav {
  display: flex;
  align-items: center;
  gap: 32px;

  @media (width < 768px) {
    display: none;
  }
}

.p-header__link a {
  position: relative;
  color: var(--color-black);
  white-space: nowrap;
}

.p-header__link a::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background: var(--color-black);
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.2s ease;
}

.p-header__link a:hover::before {
  transform: scaleX(1);
}

.p-header__contact {
  max-width: 160px;
  height: 56px;
  font-size: 15px;
  font-weight: 500;
  padding: 0 18px;
  border: 1px solid #f5f5f5;
  white-space: nowrap;
}

.p-header__contact:hover {
  color: white;
}

.p-header__contact::before {
  content: "";
  width: 18px;
  height: 15px;
  background: url("https://liaison-ltd.com/system_panel/uploads/images/mail-black.svg") no-repeat center center / contain;
}

.p-header__contact:hover::before {
  background: url("https://liaison-ltd.com/system_panel/uploads/images/mail-white.svg") no-repeat center center / contain;
}

.p-header-icon {
  background: var(--color-yellow);
  border-radius: 50%;
  width: 50px;
  aspect-ratio: 1;
  cursor: pointer;
  position: fixed;
  top: 5px;
  right: 10px;
  z-index: 50;
  display: none;

  @media (width < 768px) {
    display: flex;
  }
}

.p-header-icon.is-open {
  .p-header-icon__bar div:nth-of-type(1) {
    transform: translateY(7.6px) rotate(-45deg);
  }

  .p-header-icon__bar div:nth-of-type(2) {
    opacity: 0;
  }

  .p-header-icon__bar div:nth-of-type(3) {
    transform: translateY(-6px) rotate(45deg);
  }
}

.p-header-icon__bar {
  width: 16px;
  height: 16px;
  position: relative;
  margin: auto;

  div {
    position: absolute;
    display: flex;
    background: var(--color-base);
    width: 100%;
    height: 2px;
    transition: all 0.2s ease;
  }
}

.p-header-icon__bar div:nth-of-type(1) {
  top: 0;
}

.p-header-icon__bar div:nth-of-type(2) {
  top: 50%;
  transform: translateY(-50%);
}

.p-header-icon__bar div:nth-of-type(3) {
  bottom: 0;
}

.p-drawer {
  position: fixed;
  width: 100%;
  max-width: 320px;
  height: 100vh;
  top: 0;
  right: -400px;
  overflow: auto;
  transition: all 0.2s ease;
  opacity: 0;
  background: #fff;
  z-index: 30;
  display: none;

  @media (width < 768px) {
    display: block;
  }
}

.gjs-dashed *[data-highlightable] .p-drawer {
  right: 0;
  opacity: 1;
  display: block;
  top: 98px;

  @media (width < 768px) {
    top: 60px;
  }
}

.p-drawer.is-show {
  opacity: 1;
  right: 0;
}

.p-drawer__inner {
  padding: 120px 40px 40px;
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 20px;
}
